> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.hellosign.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.hellosign.com/_mcp/server.

# Add User to Template

POST https://api.hellosign.com/v3/template/add_user/{template_id}
Content-Type: application/json

Gives the specified Account access to the specified Template. The specified Account must be a part of your Team.

Reference: https://developers.hellosign.com/api/template/add-user

## Authentication

- `Authorization` header (basic auth, required) — Your API key can be used to make calls to the Dropbox Sign API. See [Authentication](/api/reference/authentication) for more information. ✅ Supported by Try it console (calls sent in `test_mode` only).
- `Authorization` header (bearer token, required) — You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See [Authentication](/api/reference/authentication) for more information. ❌ **Not supported** by Try it console.

## Request

### Path parameters

- `template_id` (string, required) — The id of the Template to give the Account access to.

### Body (application/json)

- `account_id` (string, optional) — The id of the Account to give access to the Template. **NOTE:** The account id prevails if email address is also provided.
- `email_address` (string, optional) — The email address of the Account to give access to the Template. **NOTE:** The account id prevails if it is also provided.
- `skip_notification` (boolean, optional, default: false) — If set to `true`, the user does not receive an email notification when a template has been shared with them. Defaults to `false`.

## Response

### 200

successful operation

- `template` (object, required) — Contains information about the templates you and your team have created.
  - `template_id` (string, optional) — The id of the Template.
  - `title` (string, optional) — The title of the Template. This will also be the default subject of the message sent to signers when using this Template to send a SignatureRequest. This can be overridden when sending the SignatureRequest.
  - `message` (string, optional) — The default message that will be sent to signers when using this Template to send a SignatureRequest. This can be overridden when sending the SignatureRequest.
  - `updated_at` (integer, optional) — Time the template was last updated.
  - `is_embedded` (boolean, optional, nullable) — `true` if this template was created using an embedded flow, `false` if it was created on our website. Will be `null` when you are not the creator of the Template.
  - `is_creator` (boolean, optional) — `true` if you are the owner of this template, `false` if it's been shared with you by a team member.
  - `can_edit` (boolean, optional) — Indicates whether edit rights have been granted to you by the owner (always `true` if that's you).
  - `is_locked` (boolean, optional) — Indicates whether the template is locked. If `true`, then the template was created outside your quota and can only be used in `test_mode`. If `false`, then the template is within your quota and can be used to create signature requests.
  - `metadata` (map from string to any, optional) — The metadata attached to the template.
  - `signer_roles` (list of object, optional) — An array of the designated signer roles that must be specified when sending a SignatureRequest using this Template.
    - `name` (string, optional) — The name of the Role.
    - `order` (integer, optional) — If signer order is assigned this is the 0-based index for this role.
  - `cc_roles` (list of object, optional) — An array of the designated CC roles that must be specified when sending a SignatureRequest using this Template.
    - `name` (string, optional) — The name of the Role.
  - `documents` (list of object, optional) — An array describing each document associated with this Template. Includes form field data for each document.
    - `name` (string, optional) — Name of the associated file.
    - `index` (integer, optional) — Document ordering, the lowest index is displayed first and the highest last (0-based indexing).
    - `field_groups` (list of object, optional) — An array of Form Field Group objects.
      - `name` (string, optional) — The name of the form field group.
      - `rule` (object, optional) — The rule used to validate checkboxes in the form field group. See [checkbox field grouping](/api/reference/constants/#checkbox-field-grouping).
        - `requirement` (string, optional) — Examples: `require_0-1` `require_1` `require_1-ormore` - Check out the list of [acceptable `requirement` checkbox type values](/api/reference/constants/#checkbox-field-grouping). - Check out the list of [acceptable `requirement` radio type fields](/api/reference/constants/#radio-field-grouping). - Radio groups require **at least** two fields per group.
        - `groupLabel` (string, optional) — Name of the group
    - `form_fields` (list of object, optional) — An array of Form Field objects containing the name and type of each named field.
      - `type`: `text` (text)
        - `api_id` (string, optional) — A unique id for the form field.
        - `avg_text_length` (object, optional) — Average text length in this field.
          - `num_lines` (integer, optional) — Number of lines.
          - `num_chars_per_line` (integer, optional) — Number of characters per line.
        - `fontFamily` (string, optional) — Font family used in this form field's text.
        - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null` except for Radio fields.
        - `height` (integer, optional) — The height in pixels of this form field.
        - `isMultiline` (boolean, optional) — Whether this form field is multiline text.
        - `name` (string, optional) — The name of the form field.
        - `originalFontSize` (integer, optional) — Original font size used in this form field's text.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional) — The signer of the Form Field.
        - `validation_custom_regex` (string, optional, nullable) — When `validation_type` is set to `custom_regex`, this specifies the custom regular expression pattern that will be used to validate the text field.
        - `validation_custom_regex_format_label` (string, optional, nullable) — When `validation_type` is set to `custom_regex`, this specifies the error message displayed to the signer when the text does not match the provided regex pattern.
        - `validation_type` (enum, optional, nullable) — Each text field may contain a `validation_type` parameter. Check out the list of [validation types](https://faq.hellosign.com/hc/en-us/articles/217115577) to learn more about the possible values.
          - Allowed values: `numbers_only`, `letters_only`, `phone_number`, `bank_routing_number`, `bank_account_number`, `email_address`, `zip_code`, `social_security_number`, `employer_identification_number`, `custom_regex`
        - `width` (integer, optional) — The width in pixels of this form field.
        - `x` (integer, optional) — The horizontal offset in pixels for this form field.
        - `y` (integer, optional) — The vertical offset in pixels for this form field.
      - `type`: `dropdown` (dropdown)
        - `api_id` (string, optional) — A unique id for the form field.
        - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null` except for Radio fields.
        - `height` (integer, optional) — The height in pixels of this form field.
        - `name` (string, optional) — The name of the form field.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional) — The signer of the Form Field.
        - `width` (integer, optional) — The width in pixels of this form field.
        - `x` (integer, optional) — The horizontal offset in pixels for this form field.
        - `y` (integer, optional) — The vertical offset in pixels for this form field.
      - `type`: `hyperlink` (hyperlink)
        - `api_id` (string, optional) — A unique id for the form field.
        - `avg_text_length` (object, optional) — Average text length in this field.
          - `num_lines` (integer, optional) — Number of lines.
          - `num_chars_per_line` (integer, optional) — Number of characters per line.
        - `fontFamily` (string, optional) — Font family used in this form field's text.
        - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null` except for Radio fields.
        - `height` (integer, optional) — The height in pixels of this form field.
        - `isMultiline` (boolean, optional) — Whether this form field is multiline text.
        - `name` (string, optional) — The name of the form field.
        - `originalFontSize` (integer, optional) — Original font size used in this form field's text.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional) — The signer of the Form Field.
        - `width` (integer, optional) — The width in pixels of this form field.
        - `x` (integer, optional) — The horizontal offset in pixels for this form field.
        - `y` (integer, optional) — The vertical offset in pixels for this form field.
      - `type`: `checkbox` (checkbox)
        - `api_id` (string, optional) — A unique id for the form field.
        - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null` except for Radio fields.
        - `height` (integer, optional) — The height in pixels of this form field.
        - `name` (string, optional) — The name of the form field.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional) — The signer of the Form Field.
        - `width` (integer, optional) — The width in pixels of this form field.
        - `x` (integer, optional) — The horizontal offset in pixels for this form field.
        - `y` (integer, optional) — The vertical offset in pixels for this form field.
      - `type`: `radio` (radio)
        - `group` (string, required) — The name of the group this field is in. If this field is not a group, this defaults to `null` except for Radio fields.
        - `api_id` (string, optional) — A unique id for the form field.
        - `height` (integer, optional) — The height in pixels of this form field.
        - `name` (string, optional) — The name of the form field.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional) — The signer of the Form Field.
        - `width` (integer, optional) — The width in pixels of this form field.
        - `x` (integer, optional) — The horizontal offset in pixels for this form field.
        - `y` (integer, optional) — The vertical offset in pixels for this form field.
      - `type`: `signature` (signature)
        - `api_id` (string, optional) — A unique id for the form field.
        - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null` except for Radio fields.
        - `height` (integer, optional) — The height in pixels of this form field.
        - `name` (string, optional) — The name of the form field.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional) — The signer of the Form Field.
        - `width` (integer, optional) — The width in pixels of this form field.
        - `x` (integer, optional) — The horizontal offset in pixels for this form field.
        - `y` (integer, optional) — The vertical offset in pixels for this form field.
      - `type`: `date_signed` (date_signed)
        - `api_id` (string, optional) — A unique id for the form field.
        - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null` except for Radio fields.
        - `height` (integer, optional) — The height in pixels of this form field.
        - `name` (string, optional) — The name of the form field.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional) — The signer of the Form Field.
        - `width` (integer, optional) — The width in pixels of this form field.
        - `x` (integer, optional) — The horizontal offset in pixels for this form field.
        - `y` (integer, optional) — The vertical offset in pixels for this form field.
      - `type`: `initials` (initials)
        - `api_id` (string, optional) — A unique id for the form field.
        - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null` except for Radio fields.
        - `height` (integer, optional) — The height in pixels of this form field.
        - `name` (string, optional) — The name of the form field.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional) — The signer of the Form Field.
        - `width` (integer, optional) — The width in pixels of this form field.
        - `x` (integer, optional) — The horizontal offset in pixels for this form field.
        - `y` (integer, optional) — The vertical offset in pixels for this form field.
    - `custom_fields` (list of object, optional) — An array of Form Field objects containing the name and type of each named field.
      - `type`: `text` (text)
        - `api_id` (string, optional) — The unique ID for this field.
        - `avg_text_length` (object, optional) — Average text length in this field.
          - `num_lines` (integer, optional) — Number of lines.
          - `num_chars_per_line` (integer, optional) — Number of characters per line.
        - `fontFamily` (string, optional) — Font family used in this form field's text.
        - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null`.
        - `height` (integer, optional) — The height in pixels of this form field.
        - `isMultiline` (boolean, optional) — Whether this form field is multiline text.
        - `name` (string, optional) — The name of the Custom Field.
        - `originalFontSize` (integer, optional) — Original font size used in this form field's text.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional, nullable) — The signer of the Custom Field. Can be `null` if field is a merge field (assigned to Sender).
        - `width` (integer, optional) — The width in pixels of this form field.
        - `x` (integer, optional) — The horizontal offset in pixels for this form field.
        - `y` (integer, optional) — The vertical offset in pixels for this form field.
      - `type`: `checkbox` (checkbox)
        - `api_id` (string, optional) — The unique ID for this field.
        - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null`.
        - `height` (integer, optional) — The height in pixels of this form field.
        - `name` (string, optional) — The name of the Custom Field.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional, nullable) — The signer of the Custom Field. Can be `null` if field is a merge field (assigned to Sender).
        - `width` (integer, optional) — The width in pixels of this form field.
        - `x` (integer, optional) — The horizontal offset in pixels for this form field.
        - `y` (integer, optional) — The vertical offset in pixels for this form field.
    - `static_fields` (list of object, optional) — An array describing static overlay fields. **NOTE:** Only available for certain subscriptions.
      - `type`: `text` (text)
        - `api_id` (string, optional) — A unique id for the static field.
        - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null`.
        - `height` (integer, optional) — The height in pixels of this static field.
        - `name` (string, optional) — The name of the static field.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional, default: me_now) — The signer of the Static Field.
        - `width` (integer, optional) — The width in pixels of this static field.
        - `x` (integer, optional) — The horizontal offset in pixels for this static field.
        - `y` (integer, optional) — The vertical offset in pixels for this static field.
      - `type`: `dropdown` (dropdown)
        - `api_id` (string, optional) — A unique id for the static field.
        - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null`.
        - `height` (integer, optional) — The height in pixels of this static field.
        - `name` (string, optional) — The name of the static field.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional, default: me_now) — The signer of the Static Field.
        - `width` (integer, optional) — The width in pixels of this static field.
        - `x` (integer, optional) — The horizontal offset in pixels for this static field.
        - `y` (integer, optional) — The vertical offset in pixels for this static field.
      - `type`: `hyperlink` (hyperlink)
        - `api_id` (string, optional) — A unique id for the static field.
        - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null`.
        - `height` (integer, optional) — The height in pixels of this static field.
        - `name` (string, optional) — The name of the static field.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional, default: me_now) — The signer of the Static Field.
        - `width` (integer, optional) — The width in pixels of this static field.
        - `x` (integer, optional) — The horizontal offset in pixels for this static field.
        - `y` (integer, optional) — The vertical offset in pixels for this static field.
      - `type`: `checkbox` (checkbox)
        - `api_id` (string, optional) — A unique id for the static field.
        - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null`.
        - `height` (integer, optional) — The height in pixels of this static field.
        - `name` (string, optional) — The name of the static field.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional, default: me_now) — The signer of the Static Field.
        - `width` (integer, optional) — The width in pixels of this static field.
        - `x` (integer, optional) — The horizontal offset in pixels for this static field.
        - `y` (integer, optional) — The vertical offset in pixels for this static field.
      - `type`: `radio` (radio)
        - `api_id` (string, optional) — A unique id for the static field.
        - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null`.
        - `height` (integer, optional) — The height in pixels of this static field.
        - `name` (string, optional) — The name of the static field.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional, default: me_now) — The signer of the Static Field.
        - `width` (integer, optional) — The width in pixels of this static field.
        - `x` (integer, optional) — The horizontal offset in pixels for this static field.
        - `y` (integer, optional) — The vertical offset in pixels for this static field.
      - `type`: `signature` (signature)
        - `api_id` (string, optional) — A unique id for the static field.
        - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null`.
        - `height` (integer, optional) — The height in pixels of this static field.
        - `name` (string, optional) — The name of the static field.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional, default: me_now) — The signer of the Static Field.
        - `width` (integer, optional) — The width in pixels of this static field.
        - `x` (integer, optional) — The horizontal offset in pixels for this static field.
        - `y` (integer, optional) — The vertical offset in pixels for this static field.
      - `type`: `date_signed` (date_signed)
        - `api_id` (string, optional) — A unique id for the static field.
        - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null`.
        - `height` (integer, optional) — The height in pixels of this static field.
        - `name` (string, optional) — The name of the static field.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional, default: me_now) — The signer of the Static Field.
        - `width` (integer, optional) — The width in pixels of this static field.
        - `x` (integer, optional) — The horizontal offset in pixels for this static field.
        - `y` (integer, optional) — The vertical offset in pixels for this static field.
      - `type`: `initials` (initials)
        - `api_id` (string, optional) — A unique id for the static field.
        - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null`.
        - `height` (integer, optional) — The height in pixels of this static field.
        - `name` (string, optional) — The name of the static field.
        - `required` (boolean, optional) — Boolean showing whether or not this field is required.
        - `signer` (string, optional, default: me_now) — The signer of the Static Field.
        - `width` (integer, optional) — The width in pixels of this static field.
        - `x` (integer, optional) — The horizontal offset in pixels for this static field.
        - `y` (integer, optional) — The vertical offset in pixels for this static field.
  - `accounts` (list of object, optional) — An array of the Accounts that can use this Template.
    - `account_id` (string, optional) — The id of the Account.
    - `email_address` (string, optional) — The email address associated with the Account.
    - `is_locked` (boolean, optional) — Returns `true` if the user has been locked out of their account by a team admin.
    - `is_paid_hs` (boolean, optional) — Returns `true` if the user has a paid Dropbox Sign account.
    - `is_paid_hf` (boolean, optional) — Returns `true` if the user has a paid HelloFax account.
    - `quotas` (object, optional) — An array of the designated CC roles that must be specified when sending a SignatureRequest using this Template.
      - `templates_left` (integer, optional) — API templates remaining.
      - `api_signature_requests_left` (integer, optional) — API signature requests remaining.
      - `documents_left` (integer, optional) — Signature requests remaining.
      - `sms_verifications_left` (integer, optional) — SMS verifications remaining.
  - `attachments` (list of object, optional) — Signer attachments.
    - `id` (string, required) — The unique ID for this attachment.
    - `signer` (string, required) — The Signer this attachment is assigned to.
    - `name` (string, required) — The name of this attachment.
    - `required` (boolean, required) — A boolean value denoting if this attachment is required.
    - `instructions` (string, optional, nullable) — Instructions for Signer.
    - `uploaded_at` (integer, optional, nullable) — Timestamp when attachment was uploaded by Signer.
  - `custom_fields` (list of object, optional, nullable, deprecated) — Deprecated. Use `custom_fields` inside the [documents](https://developers.hellosign.com/api/reference/operation/templateGet/#!c=200&path=template/documents&t=response) array instead.
    - `type`: `text` (text)
      - `api_id` (string, optional) — The unique ID for this field.
      - `avg_text_length` (object, optional) — Average text length in this field.
        - `num_lines` (integer, optional) — Number of lines.
        - `num_chars_per_line` (integer, optional) — Number of characters per line.
      - `fontFamily` (string, optional) — Font family used in this form field's text.
      - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null`.
      - `height` (integer, optional) — The height in pixels of this form field.
      - `isMultiline` (boolean, optional) — Whether this form field is multiline text.
      - `name` (string, optional) — The name of the Custom Field.
      - `originalFontSize` (integer, optional) — Original font size used in this form field's text.
      - `required` (boolean, optional) — Boolean showing whether or not this field is required.
      - `signer` (string, optional, nullable) — The signer of the Custom Field. Can be `null` if field is a merge field (assigned to Sender).
      - `width` (integer, optional) — The width in pixels of this form field.
      - `x` (integer, optional) — The horizontal offset in pixels for this form field.
      - `y` (integer, optional) — The vertical offset in pixels for this form field.
    - `type`: `checkbox` (checkbox)
      - `api_id` (string, optional) — The unique ID for this field.
      - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null`.
      - `height` (integer, optional) — The height in pixels of this form field.
      - `name` (string, optional) — The name of the Custom Field.
      - `required` (boolean, optional) — Boolean showing whether or not this field is required.
      - `signer` (string, optional, nullable) — The signer of the Custom Field. Can be `null` if field is a merge field (assigned to Sender).
      - `width` (integer, optional) — The width in pixels of this form field.
      - `x` (integer, optional) — The horizontal offset in pixels for this form field.
      - `y` (integer, optional) — The vertical offset in pixels for this form field.
  - `named_form_fields` (list of object, optional, nullable, deprecated) — Deprecated. Use `form_fields` inside the [documents](https://developers.hellosign.com/api/reference/operation/templateGet/#!c=200&path=template/documents&t=response) array instead.
    - `type`: `text` (text)
      - `api_id` (string, optional) — A unique id for the form field.
      - `avg_text_length` (object, optional) — Average text length in this field.
        - `num_lines` (integer, optional) — Number of lines.
        - `num_chars_per_line` (integer, optional) — Number of characters per line.
      - `fontFamily` (string, optional) — Font family used in this form field's text.
      - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null` except for Radio fields.
      - `height` (integer, optional) — The height in pixels of this form field.
      - `isMultiline` (boolean, optional) — Whether this form field is multiline text.
      - `name` (string, optional) — The name of the form field.
      - `originalFontSize` (integer, optional) — Original font size used in this form field's text.
      - `required` (boolean, optional) — Boolean showing whether or not this field is required.
      - `signer` (string, optional) — The signer of the Form Field.
      - `validation_custom_regex` (string, optional, nullable) — When `validation_type` is set to `custom_regex`, this specifies the custom regular expression pattern that will be used to validate the text field.
      - `validation_custom_regex_format_label` (string, optional, nullable) — When `validation_type` is set to `custom_regex`, this specifies the error message displayed to the signer when the text does not match the provided regex pattern.
      - `validation_type` (enum, optional, nullable) — Each text field may contain a `validation_type` parameter. Check out the list of [validation types](https://faq.hellosign.com/hc/en-us/articles/217115577) to learn more about the possible values.
        - Allowed values: `numbers_only`, `letters_only`, `phone_number`, `bank_routing_number`, `bank_account_number`, `email_address`, `zip_code`, `social_security_number`, `employer_identification_number`, `custom_regex`
      - `width` (integer, optional) — The width in pixels of this form field.
      - `x` (integer, optional) — The horizontal offset in pixels for this form field.
      - `y` (integer, optional) — The vertical offset in pixels for this form field.
    - `type`: `dropdown` (dropdown)
      - `api_id` (string, optional) — A unique id for the form field.
      - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null` except for Radio fields.
      - `height` (integer, optional) — The height in pixels of this form field.
      - `name` (string, optional) — The name of the form field.
      - `required` (boolean, optional) — Boolean showing whether or not this field is required.
      - `signer` (string, optional) — The signer of the Form Field.
      - `width` (integer, optional) — The width in pixels of this form field.
      - `x` (integer, optional) — The horizontal offset in pixels for this form field.
      - `y` (integer, optional) — The vertical offset in pixels for this form field.
    - `type`: `hyperlink` (hyperlink)
      - `api_id` (string, optional) — A unique id for the form field.
      - `avg_text_length` (object, optional) — Average text length in this field.
        - `num_lines` (integer, optional) — Number of lines.
        - `num_chars_per_line` (integer, optional) — Number of characters per line.
      - `fontFamily` (string, optional) — Font family used in this form field's text.
      - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null` except for Radio fields.
      - `height` (integer, optional) — The height in pixels of this form field.
      - `isMultiline` (boolean, optional) — Whether this form field is multiline text.
      - `name` (string, optional) — The name of the form field.
      - `originalFontSize` (integer, optional) — Original font size used in this form field's text.
      - `required` (boolean, optional) — Boolean showing whether or not this field is required.
      - `signer` (string, optional) — The signer of the Form Field.
      - `width` (integer, optional) — The width in pixels of this form field.
      - `x` (integer, optional) — The horizontal offset in pixels for this form field.
      - `y` (integer, optional) — The vertical offset in pixels for this form field.
    - `type`: `checkbox` (checkbox)
      - `api_id` (string, optional) — A unique id for the form field.
      - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null` except for Radio fields.
      - `height` (integer, optional) — The height in pixels of this form field.
      - `name` (string, optional) — The name of the form field.
      - `required` (boolean, optional) — Boolean showing whether or not this field is required.
      - `signer` (string, optional) — The signer of the Form Field.
      - `width` (integer, optional) — The width in pixels of this form field.
      - `x` (integer, optional) — The horizontal offset in pixels for this form field.
      - `y` (integer, optional) — The vertical offset in pixels for this form field.
    - `type`: `radio` (radio)
      - `group` (string, required) — The name of the group this field is in. If this field is not a group, this defaults to `null` except for Radio fields.
      - `api_id` (string, optional) — A unique id for the form field.
      - `height` (integer, optional) — The height in pixels of this form field.
      - `name` (string, optional) — The name of the form field.
      - `required` (boolean, optional) — Boolean showing whether or not this field is required.
      - `signer` (string, optional) — The signer of the Form Field.
      - `width` (integer, optional) — The width in pixels of this form field.
      - `x` (integer, optional) — The horizontal offset in pixels for this form field.
      - `y` (integer, optional) — The vertical offset in pixels for this form field.
    - `type`: `signature` (signature)
      - `api_id` (string, optional) — A unique id for the form field.
      - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null` except for Radio fields.
      - `height` (integer, optional) — The height in pixels of this form field.
      - `name` (string, optional) — The name of the form field.
      - `required` (boolean, optional) — Boolean showing whether or not this field is required.
      - `signer` (string, optional) — The signer of the Form Field.
      - `width` (integer, optional) — The width in pixels of this form field.
      - `x` (integer, optional) — The horizontal offset in pixels for this form field.
      - `y` (integer, optional) — The vertical offset in pixels for this form field.
    - `type`: `date_signed` (date_signed)
      - `api_id` (string, optional) — A unique id for the form field.
      - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null` except for Radio fields.
      - `height` (integer, optional) — The height in pixels of this form field.
      - `name` (string, optional) — The name of the form field.
      - `required` (boolean, optional) — Boolean showing whether or not this field is required.
      - `signer` (string, optional) — The signer of the Form Field.
      - `width` (integer, optional) — The width in pixels of this form field.
      - `x` (integer, optional) — The horizontal offset in pixels for this form field.
      - `y` (integer, optional) — The vertical offset in pixels for this form field.
    - `type`: `initials` (initials)
      - `api_id` (string, optional) — A unique id for the form field.
      - `group` (string, optional, nullable) — The name of the group this field is in. If this field is not a group, this defaults to `null` except for Radio fields.
      - `height` (integer, optional) — The height in pixels of this form field.
      - `name` (string, optional) — The name of the form field.
      - `required` (boolean, optional) — Boolean showing whether or not this field is required.
      - `signer` (string, optional) — The signer of the Form Field.
      - `width` (integer, optional) — The width in pixels of this form field.
      - `x` (integer, optional) — The horizontal offset in pixels for this form field.
      - `y` (integer, optional) — The vertical offset in pixels for this form field.
- `warnings` (list of object, optional) — A list of warnings.
  - `warning_msg` (string, required) — Warning message
  - `warning_name` (string, required) — Warning name

## Examples

### Add User to Template

**Request**

```json
undefined
```

**Response**

```json
{
  "template": {
    "template_id": "f57db65d3f933b5316d398057a36176831451a35",
    "title": "Mutual NDA",
    "message": "Please sign this NDA as soon as possible.",
    "updated_at": 1570471067,
    "is_embedded": false,
    "is_creator": true,
    "can_edit": true,
    "is_locked": false,
    "metadata": {},
    "signer_roles": [
      {
        "name": "Outside Vendor",
        "order": 0
      },
      {
        "name": "Internal Manager",
        "order": 1
      }
    ],
    "cc_roles": [
      {
        "name": "Corporate Attorney"
      }
    ],
    "documents": [
      {
        "name": "mutual_nda.pdf",
        "index": 0,
        "field_groups": [
          {
            "name": "group1",
            "rule": {}
          }
        ],
        "form_fields": [
          {
            "type": "checkbox",
            "api_id": "b65e03_10",
            "group": "group1",
            "height": 15,
            "name": "DepartmentA",
            "required": false,
            "signer": "1",
            "width": 15,
            "x": 117,
            "y": 19
          },
          {
            "type": "checkbox",
            "api_id": "b65e03_11",
            "group": "group1",
            "height": 15,
            "name": "DepartmentB",
            "required": false,
            "signer": "2",
            "width": 15,
            "x": 118,
            "y": 41
          },
          {
            "type": "text",
            "api_id": "0ec7a7_1",
            "avg_text_length": {
              "num_lines": 1,
              "num_chars_per_line": 19
            },
            "fontFamily": "arial",
            "group": null,
            "height": 30,
            "isMultiline": false,
            "name": "VendorName",
            "originalFontSize": 12,
            "required": true,
            "signer": "1",
            "width": 80,
            "x": 160,
            "y": 141
          },
          {
            "type": "text",
            "api_id": "0ec7a7_2",
            "avg_text_length": {
              "num_lines": 1,
              "num_chars_per_line": 19
            },
            "fontFamily": "arial",
            "group": null,
            "height": 30,
            "isMultiline": false,
            "name": "VendorTitle",
            "originalFontSize": 12,
            "required": true,
            "signer": "2",
            "width": 80,
            "x": 160,
            "y": 181
          },
          {
            "type": "text",
            "api_id": "0ec7a7_3",
            "avg_text_length": {
              "num_lines": 1,
              "num_chars_per_line": 19
            },
            "fontFamily": "arial",
            "group": null,
            "height": 30,
            "isMultiline": false,
            "name": "ManagerName",
            "originalFontSize": 12,
            "required": true,
            "signer": "2",
            "width": 80,
            "x": 160,
            "y": 221
          },
          {
            "type": "text",
            "api_id": "0ec7a7_4",
            "avg_text_length": {
              "num_lines": 1,
              "num_chars_per_line": 19
            },
            "fontFamily": "arial",
            "group": null,
            "height": 30,
            "isMultiline": false,
            "name": "ManagerTitle",
            "originalFontSize": 12,
            "required": true,
            "signer": "2",
            "width": 80,
            "x": 160,
            "y": 251
          },
          {
            "type": "date_signed",
            "api_id": "0ec7a7_5",
            "group": null,
            "height": 16,
            "name": "DateSigned",
            "required": true,
            "signer": "1",
            "width": 105,
            "x": 523,
            "y": 28
          }
        ],
        "custom_fields": [
          {
            "type": "text",
            "api_id": "78083014-32d8-4b5b-b65e-fe6010f3be64",
            "avg_text_length": {
              "num_lines": 1,
              "num_chars_per_line": 22
            },
            "fontFamily": "arial",
            "group": null,
            "height": 14,
            "isMultiline": false,
            "name": "Effective Date",
            "originalFontSize": 12,
            "required": false,
            "signer": null,
            "width": 84,
            "x": 378,
            "y": 36
          }
        ]
      }
    ],
    "accounts": [
      {
        "account_id": "5008b25c7f67153e57d5a357b1687968068fb465",
        "email_address": "me@dropboxsign.com",
        "is_locked": false,
        "is_paid_hs": true,
        "is_paid_hf": false,
        "quotas": {
          "api_signature_requests_left": 0,
          "documents_left": 3600000,
          "sms_verifications_left": 300000
        }
      },
      {
        "account_id": "",
        "email_address": "teammate@dropboxsign.com",
        "is_locked": false,
        "is_paid_hs": true,
        "is_paid_hf": false,
        "quotas": {
          "api_signature_requests_left": 0,
          "documents_left": 3600000,
          "sms_verifications_left": 300000
        }
      }
    ]
  }
}
```

**SDK Code**

```php PHP
<?php

namespace Dropbox\SignSandbox;

require_once __DIR__ . '/../vendor/autoload.php';

use SplFileObject;
use Dropbox;

$config = Dropbox\Sign\Configuration::getDefaultConfiguration();
$config->setUsername("YOUR_API_KEY");
// $config->setAccessToken("YOUR_ACCESS_TOKEN");

$template_add_user_request = (new Dropbox\Sign\Model\TemplateAddUserRequest())
    ->setEmailAddress("george@dropboxsign.com");

try {
    $response = (new Dropbox\Sign\Api\TemplateApi(config: $config))->templateAddUser(
        template_id: "f57db65d3f933b5316d398057a36176831451a35",
        template_add_user_request: $template_add_user_request,
    );

    print_r($response);
} catch (Dropbox\Sign\ApiException $e) {
    echo "Exception when calling TemplateApi#templateAddUser: {$e->getMessage()}";
}

```

```csharp C#
using System;
using System.Collections.Generic;
using System.IO;
using System.Text.Json;

using Dropbox.Sign.Api;
using Dropbox.Sign.Client;
using Dropbox.Sign.Model;

namespace Dropbox.SignSandbox;

public class TemplateAddUserExample
{
    public static void Run()
    {
        var config = new Configuration();
        config.Username = "YOUR_API_KEY";
        // config.AccessToken = "YOUR_ACCESS_TOKEN";

        var templateAddUserRequest = new TemplateAddUserRequest(
            emailAddress: "george@dropboxsign.com"
        );

        try
        {
            var response = new TemplateApi(config).TemplateAddUser(
                templateId: "f57db65d3f933b5316d398057a36176831451a35",
                templateAddUserRequest: templateAddUserRequest
            );

            Console.WriteLine(response);
        }
        catch (ApiException e)
        {
            Console.WriteLine("Exception when calling TemplateApi#TemplateAddUser: " + e.Message);
            Console.WriteLine("Status Code: " + e.ErrorCode);
            Console.WriteLine(e.StackTrace);
        }
    }
}

```

```typescript TypeScript
import * as fs from 'fs';
import api from "@dropbox/sign"
import models from "@dropbox/sign"

const apiCaller = new api.TemplateApi();
apiCaller.username = "YOUR_API_KEY";
// apiCaller.accessToken = "YOUR_ACCESS_TOKEN";

const templateAddUserRequest: models.TemplateAddUserRequest = {
  emailAddress: "george@dropboxsign.com",
};

apiCaller.templateAddUser(
  "f57db65d3f933b5316d398057a36176831451a35", // templateId
  templateAddUserRequest,
).then(response => {
  console.log(response.body);
}).catch(error => {
  console.log("Exception when calling TemplateApi#templateAddUser:");
  console.log(error.body);
});

```

```java Java
package com.dropbox.sign_sandbox;

import com.dropbox.sign.ApiException;
import com.dropbox.sign.Configuration;
import com.dropbox.sign.api.*;
import com.dropbox.sign.auth.*;
import com.dropbox.sign.JSON;
import com.dropbox.sign.model.*;

import java.io.File;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.OffsetDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class TemplateAddUserExample
{
    public static void main(String[] args)
    {
        var config = Configuration.getDefaultApiClient();
        ((HttpBasicAuth) config.getAuthentication("api_key")).setUsername("YOUR_API_KEY");
        // ((HttpBearerAuth) config.getAuthentication("oauth2")).setBearerToken("YOUR_ACCESS_TOKEN");

        var templateAddUserRequest = new TemplateAddUserRequest();
        templateAddUserRequest.emailAddress("george@dropboxsign.com");

        try
        {
            var response = new TemplateApi(config).templateAddUser(
                "f57db65d3f933b5316d398057a36176831451a35", // templateId
                templateAddUserRequest
            );

            System.out.println(response);
        } catch (ApiException e) {
            System.err.println("Exception when calling TemplateApi#templateAddUser");
            System.err.println("Status code: " + e.getCode());
            System.err.println("Reason: " + e.getResponseBody());
            System.err.println("Response headers: " + e.getResponseHeaders());
            e.printStackTrace();
        }
    }
}

```

```ruby Ruby
require "json"
require "dropbox-sign"

Dropbox::Sign.configure do |config|
    config.username = "YOUR_API_KEY"
    # config.access_token = "YOUR_ACCESS_TOKEN"
end

template_add_user_request = Dropbox::Sign::TemplateAddUserRequest.new
template_add_user_request.email_address = "george@dropboxsign.com"

begin
    response = Dropbox::Sign::TemplateApi.new.template_add_user(
        "f57db65d3f933b5316d398057a36176831451a35", # template_id
        template_add_user_request,
    )

    p response
rescue Dropbox::Sign::ApiError => e
    puts "Exception when calling TemplateApi#template_add_user: #{e}"
end

```

```python Python
import json
from datetime import date, datetime
from pprint import pprint

from dropbox_sign import ApiClient, ApiException, Configuration, api, models

configuration = Configuration(
    username="YOUR_API_KEY",
    # access_token="YOUR_ACCESS_TOKEN",
)

with ApiClient(configuration) as api_client:
    template_add_user_request = models.TemplateAddUserRequest(
        email_address="george@dropboxsign.com",
    )

    try:
        response = api.TemplateApi(api_client).template_add_user(
            template_id="f57db65d3f933b5316d398057a36176831451a35",
            template_add_user_request=template_add_user_request,
        )

        pprint(response)
    except ApiException as e:
        print("Exception when calling TemplateApi#template_add_user: %s\n" % e)

```

```go Add User to Template
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hellosign.com/v3/template/add_user/f57db65d3f933b5316d398057a36176831451a35"

	req, _ := http.NewRequest("POST", url, nil)

	req.SetBasicAuth("<apiKey>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```swift Add User to Template
import Foundation

let credentials = Data("<apiKey>:".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hellosign.com/v3/template/add_user/f57db65d3f933b5316d398057a36176831451a35")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Default Example

**Request**

```json
{
  "email_address": "george@dropboxsign.com"
}
```

**Response**

```json
{
  "template": {
    "template_id": "f57db65d3f933b5316d398057a36176831451a35",
    "title": "Mutual NDA",
    "message": "Please sign this NDA as soon as possible.",
    "updated_at": 1570471067,
    "is_embedded": false,
    "is_creator": true,
    "can_edit": true,
    "is_locked": false,
    "metadata": {},
    "signer_roles": [
      {
        "name": "Outside Vendor",
        "order": 0
      },
      {
        "name": "Internal Manager",
        "order": 1
      }
    ],
    "cc_roles": [
      {
        "name": "Corporate Attorney"
      }
    ],
    "documents": [
      {
        "name": "mutual_nda.pdf",
        "index": 0,
        "field_groups": [
          {
            "name": "group1",
            "rule": {}
          }
        ],
        "form_fields": [
          {
            "type": "checkbox",
            "api_id": "b65e03_10",
            "group": "group1",
            "height": 15,
            "name": "DepartmentA",
            "required": false,
            "signer": "1",
            "width": 15,
            "x": 117,
            "y": 19
          },
          {
            "type": "checkbox",
            "api_id": "b65e03_11",
            "group": "group1",
            "height": 15,
            "name": "DepartmentB",
            "required": false,
            "signer": "2",
            "width": 15,
            "x": 118,
            "y": 41
          },
          {
            "type": "text",
            "api_id": "0ec7a7_1",
            "avg_text_length": {
              "num_lines": 1,
              "num_chars_per_line": 19
            },
            "fontFamily": "arial",
            "group": null,
            "height": 30,
            "isMultiline": false,
            "name": "VendorName",
            "originalFontSize": 12,
            "required": true,
            "signer": "1",
            "width": 80,
            "x": 160,
            "y": 141
          },
          {
            "type": "text",
            "api_id": "0ec7a7_2",
            "avg_text_length": {
              "num_lines": 1,
              "num_chars_per_line": 19
            },
            "fontFamily": "arial",
            "group": null,
            "height": 30,
            "isMultiline": false,
            "name": "VendorTitle",
            "originalFontSize": 12,
            "required": true,
            "signer": "2",
            "width": 80,
            "x": 160,
            "y": 181
          },
          {
            "type": "text",
            "api_id": "0ec7a7_3",
            "avg_text_length": {
              "num_lines": 1,
              "num_chars_per_line": 19
            },
            "fontFamily": "arial",
            "group": null,
            "height": 30,
            "isMultiline": false,
            "name": "ManagerName",
            "originalFontSize": 12,
            "required": true,
            "signer": "2",
            "width": 80,
            "x": 160,
            "y": 221
          },
          {
            "type": "text",
            "api_id": "0ec7a7_4",
            "avg_text_length": {
              "num_lines": 1,
              "num_chars_per_line": 19
            },
            "fontFamily": "arial",
            "group": null,
            "height": 30,
            "isMultiline": false,
            "name": "ManagerTitle",
            "originalFontSize": 12,
            "required": true,
            "signer": "2",
            "width": 80,
            "x": 160,
            "y": 251
          },
          {
            "type": "date_signed",
            "api_id": "0ec7a7_5",
            "group": null,
            "height": 16,
            "name": "DateSigned",
            "required": true,
            "signer": "1",
            "width": 105,
            "x": 523,
            "y": 28
          }
        ],
        "custom_fields": [
          {
            "type": "text",
            "api_id": "78083014-32d8-4b5b-b65e-fe6010f3be64",
            "avg_text_length": {
              "num_lines": 1,
              "num_chars_per_line": 22
            },
            "fontFamily": "arial",
            "group": null,
            "height": 14,
            "isMultiline": false,
            "name": "Effective Date",
            "originalFontSize": 12,
            "required": false,
            "signer": null,
            "width": 84,
            "x": 378,
            "y": 36
          }
        ]
      }
    ],
    "accounts": [
      {
        "account_id": "5008b25c7f67153e57d5a357b1687968068fb465",
        "email_address": "me@dropboxsign.com",
        "is_locked": false,
        "is_paid_hs": true,
        "is_paid_hf": false,
        "quotas": {
          "api_signature_requests_left": 0,
          "documents_left": 3600000,
          "sms_verifications_left": 300000
        }
      },
      {
        "account_id": "",
        "email_address": "teammate@dropboxsign.com",
        "is_locked": false,
        "is_paid_hs": true,
        "is_paid_hf": false,
        "quotas": {
          "api_signature_requests_left": 0,
          "documents_left": 3600000,
          "sms_verifications_left": 300000
        }
      }
    ]
  }
}
```

**SDK Code**

```php PHP
<?php

namespace Dropbox\SignSandbox;

require_once __DIR__ . '/../vendor/autoload.php';

use SplFileObject;
use Dropbox;

$config = Dropbox\Sign\Configuration::getDefaultConfiguration();
$config->setUsername("YOUR_API_KEY");
// $config->setAccessToken("YOUR_ACCESS_TOKEN");

$template_add_user_request = (new Dropbox\Sign\Model\TemplateAddUserRequest())
    ->setEmailAddress("george@dropboxsign.com");

try {
    $response = (new Dropbox\Sign\Api\TemplateApi(config: $config))->templateAddUser(
        template_id: "f57db65d3f933b5316d398057a36176831451a35",
        template_add_user_request: $template_add_user_request,
    );

    print_r($response);
} catch (Dropbox\Sign\ApiException $e) {
    echo "Exception when calling TemplateApi#templateAddUser: {$e->getMessage()}";
}

```

```csharp C#
using System;
using System.Collections.Generic;
using System.IO;
using System.Text.Json;

using Dropbox.Sign.Api;
using Dropbox.Sign.Client;
using Dropbox.Sign.Model;

namespace Dropbox.SignSandbox;

public class TemplateAddUserExample
{
    public static void Run()
    {
        var config = new Configuration();
        config.Username = "YOUR_API_KEY";
        // config.AccessToken = "YOUR_ACCESS_TOKEN";

        var templateAddUserRequest = new TemplateAddUserRequest(
            emailAddress: "george@dropboxsign.com"
        );

        try
        {
            var response = new TemplateApi(config).TemplateAddUser(
                templateId: "f57db65d3f933b5316d398057a36176831451a35",
                templateAddUserRequest: templateAddUserRequest
            );

            Console.WriteLine(response);
        }
        catch (ApiException e)
        {
            Console.WriteLine("Exception when calling TemplateApi#TemplateAddUser: " + e.Message);
            Console.WriteLine("Status Code: " + e.ErrorCode);
            Console.WriteLine(e.StackTrace);
        }
    }
}

```

```typescript TypeScript
import * as fs from 'fs';
import api from "@dropbox/sign"
import models from "@dropbox/sign"

const apiCaller = new api.TemplateApi();
apiCaller.username = "YOUR_API_KEY";
// apiCaller.accessToken = "YOUR_ACCESS_TOKEN";

const templateAddUserRequest: models.TemplateAddUserRequest = {
  emailAddress: "george@dropboxsign.com",
};

apiCaller.templateAddUser(
  "f57db65d3f933b5316d398057a36176831451a35", // templateId
  templateAddUserRequest,
).then(response => {
  console.log(response.body);
}).catch(error => {
  console.log("Exception when calling TemplateApi#templateAddUser:");
  console.log(error.body);
});

```

```java Java
package com.dropbox.sign_sandbox;

import com.dropbox.sign.ApiException;
import com.dropbox.sign.Configuration;
import com.dropbox.sign.api.*;
import com.dropbox.sign.auth.*;
import com.dropbox.sign.JSON;
import com.dropbox.sign.model.*;

import java.io.File;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.OffsetDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class TemplateAddUserExample
{
    public static void main(String[] args)
    {
        var config = Configuration.getDefaultApiClient();
        ((HttpBasicAuth) config.getAuthentication("api_key")).setUsername("YOUR_API_KEY");
        // ((HttpBearerAuth) config.getAuthentication("oauth2")).setBearerToken("YOUR_ACCESS_TOKEN");

        var templateAddUserRequest = new TemplateAddUserRequest();
        templateAddUserRequest.emailAddress("george@dropboxsign.com");

        try
        {
            var response = new TemplateApi(config).templateAddUser(
                "f57db65d3f933b5316d398057a36176831451a35", // templateId
                templateAddUserRequest
            );

            System.out.println(response);
        } catch (ApiException e) {
            System.err.println("Exception when calling TemplateApi#templateAddUser");
            System.err.println("Status code: " + e.getCode());
            System.err.println("Reason: " + e.getResponseBody());
            System.err.println("Response headers: " + e.getResponseHeaders());
            e.printStackTrace();
        }
    }
}

```

```ruby Ruby
require "json"
require "dropbox-sign"

Dropbox::Sign.configure do |config|
    config.username = "YOUR_API_KEY"
    # config.access_token = "YOUR_ACCESS_TOKEN"
end

template_add_user_request = Dropbox::Sign::TemplateAddUserRequest.new
template_add_user_request.email_address = "george@dropboxsign.com"

begin
    response = Dropbox::Sign::TemplateApi.new.template_add_user(
        "f57db65d3f933b5316d398057a36176831451a35", # template_id
        template_add_user_request,
    )

    p response
rescue Dropbox::Sign::ApiError => e
    puts "Exception when calling TemplateApi#template_add_user: #{e}"
end

```

```python Python
import json
from datetime import date, datetime
from pprint import pprint

from dropbox_sign import ApiClient, ApiException, Configuration, api, models

configuration = Configuration(
    username="YOUR_API_KEY",
    # access_token="YOUR_ACCESS_TOKEN",
)

with ApiClient(configuration) as api_client:
    template_add_user_request = models.TemplateAddUserRequest(
        email_address="george@dropboxsign.com",
    )

    try:
        response = api.TemplateApi(api_client).template_add_user(
            template_id="f57db65d3f933b5316d398057a36176831451a35",
            template_add_user_request=template_add_user_request,
        )

        pprint(response)
    except ApiException as e:
        print("Exception when calling TemplateApi#template_add_user: %s\n" % e)

```

```go Default Example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hellosign.com/v3/template/add_user/f57db65d3f933b5316d398057a36176831451a35"

	payload := strings.NewReader("{\n  \"email_address\": \"george@dropboxsign.com\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<apiKey>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```swift Default Example
import Foundation

let credentials = Data("<apiKey>:".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = ["email_address": "george@dropboxsign.com"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hellosign.com/v3/template/add_user/f57db65d3f933b5316d398057a36176831451a35")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```